<?php

require_once WICKED_BASE . '/lib/Page/StandardPage.php';

/**
 * Wicked AddPage class.
 *
 * $Horde: wicked/lib/Page/AddPage.php,v 1.8 2005/06/23 02:55:36 selsky Exp $
 *
 * @author  Tyler Colbert <tyler-hordeml@colberts.us>
 * @package Wicked
 */
class AddPage extends Page {

    /**
     * Display modes supported by this page.
     *
     * @var array
     */
    var $supportedModes = array(
        WICKED_MODE_DISPLAY => true);

    /**
     * The page to confirm creation of.
     *
     * @var string
     */
    var $_newpage;

    function AddPage($newpage)
    {
        $this->_newpage = $newpage;
    }

    /**
     * Render this page in Display mode.
     *
     * @return mixed  Returns true or PEAR_Error.
     */
    function display()
    {
        global $wicked;

        $templates = $wicked->getMatchingPages('Template', WICKED_PAGE_MATCH_ENDS);
        if (is_a($templates, 'PEAR_Error')) {
            $notification->push(sprintf(_("Error retrieving like pages: %s"),
                                        $templates->getMessage()), 'horde.error');
            return $templates;
        }
        require WICKED_TEMPLATES . '/edit/create.inc';
        return true;
    }

    function pageName()
    {
        return 'AddPage';
    }

    function pageTitle()
    {
        return sprintf(_("AddPage: %s"), $this->referrer());
    }

    function referrer()
    {
        return $this->_newpage;
    }

    function pageUrl()
    {
        return Util::addParameter(Wicked::url($this->referrer()), 'autocreate', 1);
    }

}
