<?php

require_once WICKED_BASE . '/lib/Page/StandardPage.php';

/**
 * Wicked BackLinks class.
 *
 * $Horde: wicked/lib/Page/BackLinks.php,v 1.17 2005/06/23 02:55:36 selsky Exp $
 *
 * @author  Tyler Colbert <tyler-hordeml@colberts.us>
 * @package Wicked
 */
class BackLinks extends Page {

    /**
     * Display modes supported by this page.
     *
     * @var array
     */
    var $supportedModes = array(
        WICKED_MODE_DISPLAY => true);

    /**
     * The page that we're displaying backlinks to.
     *
     * @var string
     */
    var $_referrer = null;

    function BackLinks($referrer)
    {
        $this->_referrer = $referrer;
    }

    /**
     * Render this page in display or block mode.
     *
     * @return mixed  Returns contents or PEAR_Error.
     */
    function displayContents($isBlock)
    {
        global $wicked, $notification;

        $summaries = $wicked->getBackLinks($this->_referrer);
        if (is_a($summaries, 'PEAR_Error')) {
            $notification->push('Error retrieving summaries: ' .
                                $summaries->getMessage(), 'horde.error');
            return $summaries;
        }

        ob_start();

        require WICKED_TEMPLATES . '/pagelist/header.inc';
        foreach ($summaries as $page) {
            if (!empty($page['page_history'])) {
                $page = &new StdHistoryPage($page);
            } else {
                $page = &new StandardPage($page);
            }
            require WICKED_TEMPLATES . '/pagelist/summary.inc';
        }
        require WICKED_TEMPLATES . '/pagelist/footer.inc';

        return ob_get_clean();
    }

    function pageName()
    {
        return 'BackLinks';
    }

    function pageTitle()
    {
        return sprintf(_("BackLinks: %s"), $this->referrer());
    }

    function referrer()
    {
        return $this->_referrer;
    }

}
