<form name="display">
<div class="control">
<?php
if (!function_exists('separator')) {
    function separator($reset = false)
    {
        static $liststarted = false;
        if ($reset) {
            $liststarted = false;
        } elseif (!$liststarted) {
            $liststarted = true;
        } else {
            echo ' | ';
        }
    }
}

separator(true);

if ($this->allows(WICKED_MODE_EDIT)) {
    separator();
    $url = Util::addParameter(Wicked::url('EditPage'), 'referrer', $this->pageName());
    echo Horde::widget($url, sprintf(_("Edit %s"), $this->pageName()),
                       'widget', '', '', _("_EditPage"));
}

if ($this->allows(WICKED_MODE_LOCKING)) {
    separator();
    if ($this->isLocked()) {
        echo Horde::widget($this->pageUrl(null, 'unlock'),
                           sprintf(_("Unlock %s"), $this->pageName()),
                           'widget', '', '', _("Un_lock"));
    } else {
        echo Horde::widget($this->pageUrl(null, 'lock'),
                           sprintf(_("Lock %s"), $this->pageName()),
                           'widget', '', '', _("_Lock"));
    }
}

if ($this->allows(WICKED_MODE_REMOVE)) {
    separator();
    $version = Util::getFormData('version');
    if (empty($version)) {
        $msg = _("Are you sure you want to delete this page? All versions will be lost.");
    } else {
        $msg = sprintf(_("Are you sure you want to delete version %s of this page?"),
                       $this->version());
    }

    echo Horde::widget($this->pageUrl(null, 'remove'),
                       sprintf(_("Delete %s"), $this->pageName()),
                       'widget', '',
                       'if (!window.confirm(\'' . addslashes($msg) . '\')) return false;',
                       _("_Delete"));
}

if ($this->allows(WICKED_MODE_EDIT)) {
    separator();
    $url = Util::addParameter(Wicked::url('MergeOrRename'), 'referrer', $this->pageName());
    echo Horde::widget($url, _("MergeOrRename"), 'widget', '', '',
                       _("_MergeOrRename"));
}

separator();
$url = Util::addParameter(Wicked::url('BackLinks'), 'referrer', $this->pageName());
echo Horde::widget($url, _("BackLinks"), 'widget', '', '', _("_BackLinks"));

separator();
$url = Util::addParameter(Wicked::url('LikePages'), 'referrer', $this->pageName());
echo Horde::widget($url, _("LikePages"), 'widget', '', '', _("L_ikePages"));

separator();
$url = Util::addParameter(Wicked::url('AttachedFiles'), 'referrer', $this->pageName());
echo Horde::widget($url, _("AttachedFiles"), 'widget', '', '',
                   _("Attached_Files"));

if ($this->allows(WICKED_MODE_HISTORY)) {
    separator();
    echo Horde::widget($this->pageUrl('history.php'),
                       sprintf(_("History of %s"), $this->pageName()),
                       'widget', '', '', _("Hi_story"));
}

if ($this->allows(WICKED_MODE_INFO)) {
    separator();
    echo Horde::widget($this->pageUrl('info.php'),
                       sprintf(_("Info about %s"), $this->pageName()),
                       'widget', '', '', _("Info"));
}

if ($this->allows(WICKED_MODE_DEBUG)) {
    separator();
    echo Horde::widget($this->pageUrl('debug.php'),
                       sprintf(_("Debug %s"), $this->pageName()),
                       'widget', '', '', _("Debug"));
}

if (Auth::isAdmin()) {
    separator();
    $permsurl = Horde::url($GLOBALS['registry']->get('webroot', 'horde') . '/admin/perms/edit.php');
    $permsurl = Util::addParameter($permsurl, array('category' => 'wicked:pages:' . $this->pageId(),
                                                    'autocreate' => 1,
                                                    'autocreate_copy' => 'wicked',
                                                    'autocreate_guest' => PERMS_SHOW | PERMS_READ,
                                                    'autocreate_default' => PERMS_SHOW | PERMS_READ | PERMS_EDIT | PERMS_DELETE));
    echo Horde::widget($permsurl,
                       sprintf(_("Set permissions for %s"), $this->pageName()),
                       'widget', '_blank', '', _("Permissio_ns"));
}
?>
<?php if (empty($isBlock) && count($_SESSION['wicked']['history'])): ?>
  <?php separator(); echo Horde::widget('#', _("Back to"), 'widget', '', 'document.location = document.display.history[document.display.history.selectedIndex].value;', _("Ba_ck to")) ?>
  <select name="history" onchange="document.location = document.display.history[document.display.history.selectedIndex].value">
<?php foreach ($_SESSION['wicked']['history'] as $history): ?>
   <option value="<?php echo Wicked::url($history) ?>"><?php echo htmlspecialchars($history) ?></option>
<?php endforeach; ?>
  </select>
<?php endif; ?>
</div>
</form>

<div class="pagebody">
 <?php if (!$isBlock && $attachments): ?>
 <div class="filelist">
  <h2><?php echo _("Attachments") ?></h2>
  <?php
foreach ($attachments as $attachment) {
    $url = Util::addParameter(
        Horde::applicationUrl('attachment.php'),
        array('page' => $this->pageName(),
              'file' => $attachment['attachment_name'],
              'version' => $attachment['attachment_majorversion'] . '.' . $attachment['attachment_minorversion']));
    $icon = MIME_Viewer::getIcon(MIME_Magic::filenameToMIME($attachment['attachment_name']));
    echo Horde::link($url) .
        '<img src="' . $icon . '" width="16" height="16" alt="" />&nbsp;' .
        htmlspecialchars($attachment['attachment_name']) . '</a><br />';
}
?>
 </div>
 <?php endif; ?>
 <?php echo $text ?>
</div>
